function battle_sai012(npcID)   --瑕

	
    n=flag.GetBattleValue(12002)
	local ac=0
	for ex=1,7,1 do
		if battle.CheckNpcPlace(ex)==0 then
			if battle.CheckNpcStat(battle.GetPlaceNpcID(ex),11)==0 then
				ac=ac+1
			end
		end
	end
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	if ac>1 then
		battle.MagicToNpc(0,1451,1)
	else
		n=n+1
		flag.SetBattleValue(12002,n)
		if n>3 then
			if battle.CheckNpcStat(npcID,11)==1 then
				flag.SetBattleValue(12002,0)
				battle.MagicToNpc(0,1452,1)
			else
				battle.MagicToNpc(0,1451,1)
			end
		else
			a=battle.GetRndNumber(1,10)
			if a>=1 and a<=6 then
				id=battle.GetRndPlayer()
				battle.AtkToPlayer(id,1)
			else
				battle.MagicToPlayer(0,1453,1)
			end
		end
	end
end